
#ifndef __DELAY_H__
#define __DELAY_H__

#include "type.h"
#include "debug.h"
#include "sys.h"
#include "cache_drv.h"

extern volatile u32 tickSecs;
extern void InitTickTime(void);
extern u32 GetTickTime(void);
extern void InitSysTick(void);
extern void delay(__IO uint32_t time);
extern void DelayMS(__IO uint32_t delaymS);

void Delay_ms(__IO uint32_t time);
void Delay_us(__IO uint32_t time);
#endif

